/***************************************************************
 * Name:      wxiscanabout.h
 * Purpose:   Defines About Box Class.
 * Author:    Daniel Nell (daniel.nell@nellresearch.de)
 * Created:   2009-06-12
 * Copyright: Daniel Nell (www.nellresearch.de)
 * License:   GPL
 **************************************************************/

#ifndef WXISCANABOUT_H
#define WXISCANABOUT_H

#ifndef WX_PRECOMP
	//(*HeadersPCH(wxIScanAbout)
	#include <wx/dialog.h>
	#include <wx/sizer.h>
	//*)
#endif
//(*Headers(wxIScanAbout)
#include <wx/html/htmlwin.h>
//*)


//////////////////////////////////////////////////////////
// Strings and other (global) constants
//
extern const wxString cstrAppName;
extern const wxString cstrAppDescription;
extern const wxString cstrVendor;
extern const wxString cstrStatusCopyRight;
extern const wxString cstrVersionString;
extern const wxString cstrWebSite;
extern const wxString cstrWxVersionString;
#if __WXLUASCRIPT__
extern const wxString cstrLuaVersion;
#endif // __WXLUASCRIPT__


//////////////////////////////////////////////////////////
// Strings and other (global) constants
//
class wxIScanAbout: public wxDialog
{
	public:

		wxIScanAbout(wxWindow* parent,wxWindowID id=wxID_ANY);
		virtual ~wxIScanAbout();

		//(*Declarations(wxIScanAbout)
		//*)

	protected:

		//(*Identifiers(wxIScanAbout)
		static const long ID_HTMLWINDOW;
		//*)

	private:

		//(*Handlers(wxIScanAbout)
		//*)

		DECLARE_EVENT_TABLE()
};

#endif
